
# -----------------------------------------
# THIS FILE HAS BEEN GENERATED
# DO NOT EDIT MANUALLY
# -----------------------------------------


from db import dbGetMany, dbGetOne

def get_accounts(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  FROM account_t
  ORDER BY
    description
                         """, 
            "params": ()
        }
    )

def get_account(user, token_info, accountId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  FROM account_t
  WHERE id = %s
                         """, 
            "params": (accountId, )
        }
    )
def get_tenants(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,salutation
  ,firstname
  ,lastname
  ,address1
  ,address2
  ,address3
  ,zip
  ,city
  ,phone1
  ,phone2
  ,iban
  ,account
  FROM tenant_t
  ORDER BY
    lastname
    ,firstname
                         """, 
            "params": ()
        }
    )

def get_tenant(user, token_info, tenantId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,salutation
  ,firstname
  ,lastname
  ,address1
  ,address2
  ,address3
  ,zip
  ,city
  ,phone1
  ,phone2
  ,iban
  ,account
  FROM tenant_t
  WHERE id = %s
                         """, 
            "params": (tenantId, )
        }
    )
def get_premises(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,street
  ,zip
  ,city
  FROM premise_t
  ORDER BY
    description
                         """, 
            "params": ()
        }
    )

def get_premise(user, token_info, premiseId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,street
  ,zip
  ,city
  FROM premise_t
  WHERE id = %s
                         """, 
            "params": (premiseId, )
        }
    )
def get_flats(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,premise
  ,area
  ,flat_no
  FROM flat_t
  ORDER BY
    premise
    ,description
                         """, 
            "params": ()
        }
    )

def get_flat(user, token_info, flatId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,premise
  ,area
  ,flat_no
  FROM flat_t
  WHERE id = %s
                         """, 
            "params": (flatId, )
        }
    )
def get_overhead_advances(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,amount
  ,startdate
  ,enddate
  FROM overhead_advance_t
  ORDER BY
    description
    ,startdate
                         """, 
            "params": ()
        }
    )

def get_overhead_advance(user, token_info, overhead_advanceId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,amount
  ,startdate
  ,enddate
  FROM overhead_advance_t
  WHERE id = %s
                         """, 
            "params": (overhead_advanceId, )
        }
    )
def get_overhead_advance_flat_mappings(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,overhead_advance
  ,flat
  FROM overhead_advance_flat_mapping_t
  ORDER BY
    overhead_advance
    ,flat
                         """, 
            "params": ()
        }
    )

def get_overhead_advance_flat_mapping(user, token_info, overhead_advance_flat_mappingId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,overhead_advance
  ,flat
  FROM overhead_advance_flat_mapping_t
  WHERE id = %s
                         """, 
            "params": (overhead_advance_flat_mappingId, )
        }
    )
def get_parkings(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,premise
  FROM parking_t
  ORDER BY
    premise
    ,description
                         """, 
            "params": ()
        }
    )

def get_parking(user, token_info, parkingId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,premise
  FROM parking_t
  WHERE id = %s
                         """, 
            "params": (parkingId, )
        }
    )
def get_commercial_premises(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,premise
  FROM commercial_premise_t
  ORDER BY
    premise
    ,description
                         """, 
            "params": ()
        }
    )

def get_commercial_premise(user, token_info, commercial_premiseId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,premise
  FROM commercial_premise_t
  WHERE id = %s
                         """, 
            "params": (commercial_premiseId, )
        }
    )
def get_tenancys(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,tenant
  ,flat
  ,parking
  ,commercial_premise
  ,startdate
  ,enddate
  FROM tenancy_t
  ORDER BY
    description
    ,startdate
                         """, 
            "params": ()
        }
    )

def get_tenancy(user, token_info, tenancyId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,tenant
  ,flat
  ,parking
  ,commercial_premise
  ,startdate
  ,enddate
  FROM tenancy_t
  WHERE id = %s
                         """, 
            "params": (tenancyId, )
        }
    )
def get_fees(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,amount
  ,fee_type
  ,startdate
  ,enddate
  FROM fee_t
  ORDER BY
    description
    ,startdate
                         """, 
            "params": ()
        }
    )

def get_fee(user, token_info, feeId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,amount
  ,fee_type
  ,startdate
  ,enddate
  FROM fee_t
  WHERE id = %s
                         """, 
            "params": (feeId, )
        }
    )
def get_tenancy_fee_mappings(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,tenancy
  ,fee
  FROM tenancy_fee_mapping_t
                         """, 
            "params": ()
        }
    )

def get_tenancy_fee_mapping(user, token_info, tenancy_fee_mappingId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,tenancy
  ,fee
  FROM tenancy_fee_mapping_t
  WHERE id = %s
                         """, 
            "params": (tenancy_fee_mappingId, )
        }
    )
def get_account_entrys(user, token_info):
    return dbGetMany(user, token_info, {
            "statement": """
SELECT
  id
  ,description
  ,account
  ,created_at
  ,amount
  FROM account_entry_t
                         """, 
            "params": ()
        }
    )

def get_account_entry(user, token_info, account_entryId=None):
    return dbGetOne(user, token_info, {
            "statement": """
SELECT 
  id
  ,description
  ,account
  ,created_at
  ,amount
  FROM account_entry_t
  WHERE id = %s
                         """, 
            "params": (account_entryId, )
        }
    )
